org.apache.synapse.transport.passthru.config

## Class PassThroughConfiguration

- java.lang.Object
- - org.apache.synapse.transport.passthru.config.PassThroughConfiguration

-     public class PassThroughConfiguration
      extends java.lang.Object

  This class encapsulates pass-through http transport tuning configurations specified via a configurations file or system properties.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAllowedResponseProperties()`
    `java.lang.Boolean` | `getBooleanProperty(java.lang.String name)` Get a Boolean property that tunes pass-through http transport.
    `java.lang.Boolean` | `getBooleanProperty(java.lang.String name, java.lang.Boolean def)` Get a boolean property that tunes pass-through http transport.
    `int` | `getConnectionGraceTime()`
    `int` | `getConnectionIdleTime()`
    `java.lang.String` | `getCorrelationHeaderName()`
    `static PassThroughConfiguration` | `getInstance()`
    `java.lang.Integer` | `getIntProperty(java.lang.String name)` Get an int property that tunes pass-through http transport.
    `java.lang.Integer` | `getIntProperty(java.lang.String name, java.lang.Integer def)` Get an int property that tunes pass-through http transport.
    `int` | `getIOBufferSize()`
    `int` | `getIOThreadsPerReactor()`
    `int` | `getListenerShutdownWaitTime()`
    `int` | `getMaxActiveConnections()`
    `int` | `getMaximumConnectionLifespan()`
    `java.lang.String` | `getPassThroughDefaultServiceName()` Get the default synapse service name
    `java.lang.String` | `getPreserveHttpHeaders()`
    `java.lang.String` | `getResponsePreseveHttpHeaders()`
    `java.lang.String` | `getRESTDispatchService()`
    `java.lang.String` | `getRestUriApiRegex()`
    `java.lang.String` | `getRestUriProxyRegex()`
    `java.lang.String` | `getStringProperty(java.lang.String name, java.lang.String def)` Get a String property that tunes pass-through http transport.
    `int` | `getWorkerPoolCoreSize()`
    `int` | `getWorkerPoolMaxSize()`
    `int` | `getWorkerPoolQueueLen()`
    `int` | `getWorkerThreadKeepaliveSec()`
    `boolean` | `isForcedJSONMessageValidationEnabled()`
    `boolean` | `isForcedXmlMessageValidationEnabled()`
    `boolean` | `isKeepAliveDisabled()`
    `boolean` | `isListeningIOReactorShared()`
    `boolean` | `isPreserveServerHeader()`
    `boolean` | `isPreserveUserAgentHeader()`
    `boolean` | `isReverseProxyMode()` Check for reverse proxy mode
    `boolean` | `isServiceListBlocked()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static PassThroughConfiguration getInstance()

    - #### getWorkerPoolCoreSize

          public int getWorkerPoolCoreSize()

    - #### getWorkerPoolMaxSize

          public int getWorkerPoolMaxSize()

    - #### getWorkerThreadKeepaliveSec

          public int getWorkerThreadKeepaliveSec()

    - #### getWorkerPoolQueueLen

          public int getWorkerPoolQueueLen()

    - #### getIOThreadsPerReactor

          public int getIOThreadsPerReactor()

    - #### getIOBufferSize

          public int getIOBufferSize()

    - #### isKeepAliveDisabled

          public boolean isKeepAliveDisabled()

    - #### getMaxActiveConnections

          public int getMaxActiveConnections()

    - #### getListenerShutdownWaitTime

          public int getListenerShutdownWaitTime()

    - #### isPreserveUserAgentHeader

          public boolean isPreserveUserAgentHeader()

    - #### isPreserveServerHeader

          public boolean isPreserveServerHeader()

    - #### isForcedXmlMessageValidationEnabled

          public boolean isForcedXmlMessageValidationEnabled()

    - #### isForcedJSONMessageValidationEnabled

          public boolean isForcedJSONMessageValidationEnabled()

    - #### getPreserveHttpHeaders

          public java.lang.String getPreserveHttpHeaders()

    - #### getResponsePreseveHttpHeaders

          public java.lang.String getResponsePreseveHttpHeaders()

    - #### isServiceListBlocked

          public boolean isServiceListBlocked()

    - #### getConnectionIdleTime

          public int getConnectionIdleTime()

    - #### getMaximumConnectionLifespan

          public int getMaximumConnectionLifespan()

    - #### getConnectionGraceTime

          public int getConnectionGraceTime()

    - #### getCorrelationHeaderName

          public java.lang.String getCorrelationHeaderName()

    - #### getIntProperty

          public java.lang.Integer getIntProperty(java.lang.String name,
                                                  java.lang.Integer def)

      Get an int property that tunes pass-through http transport. Prefer system properties
      Parameters:
        `name` - name of the system/config property
        `def` - default value to return if the property is not set
      Returns:
        the value of the property to be used

    - #### getIntProperty

          public java.lang.Integer getIntProperty(java.lang.String name)

      Get an int property that tunes pass-through http transport. Prefer system properties
      Parameters:
        `name` - name of the system/config property
      Returns:
        the value of the property, null if the property is not found

    - #### getBooleanProperty

          public java.lang.Boolean getBooleanProperty(java.lang.String name,
                                                      java.lang.Boolean def)

      Get a boolean property that tunes pass-through http transport. Prefer system properties
      Parameters:
        `name` - name of the system/config property
        `def` - default value to return if the property is not set
      Returns:
        the value of the property to be used

    - #### getBooleanProperty

          public java.lang.Boolean getBooleanProperty(java.lang.String name)

      Get a Boolean property that tunes pass-through http transport. Prefer system properties
      Parameters:
        `name` - name of the system/config property
      Returns:
        the value of the property, null if the property is not found

    - #### getStringProperty

          public java.lang.String getStringProperty(java.lang.String name,
                                                    java.lang.String def)

      Get a String property that tunes pass-through http transport. Prefer system properties
      Parameters:
        `name` - name of the system/config property
        `def` - default value to return if the property is not set
      Returns:
        the value of the property to be used

    - #### getRESTDispatchService

          public java.lang.String getRESTDispatchService()

    - #### getRestUriApiRegex

          public java.lang.String getRestUriApiRegex()

    - #### getRestUriProxyRegex

          public java.lang.String getRestUriProxyRegex()

    - #### isListeningIOReactorShared

          public boolean isListeningIOReactorShared()

    - #### getAllowedResponseProperties

          public java.lang.String getAllowedResponseProperties()

    - #### isReverseProxyMode

          public boolean isReverseProxyMode()

      Check for reverse proxy mode
      Returns:
        whether reverse proxy mode is enabled

    - #### getPassThroughDefaultServiceName

          public java.lang.String getPassThroughDefaultServiceName()

      Get the default synapse service name
      Returns:
        default synapse service name

Copyright © 2005-2022 Apache Software Foundation. All Rights Reserved.